On installing acroread. Warning that pipelight running as root?

Asked by DiagonalArg on 2015-08-21

Ubuntu 12.04. On install of acroread, I get the following.

Thoughts?

-------

plugin dirs:
Auto-update plugins from /usr/lib/mozilla/plugins
Looking for plugins in /usr/lib/mozilla/plugins
[PIPELIGHT:LIN:unknown] attached to process.
[PIPELIGHT:LIN:unknown] checking environment variable PIPELIGHT_SILVERLIGHT5_1_CONFIG.
[PIPELIGHT:LIN:unknown] searching for config file pipelight-silverlight5.1.
[PIPELIGHT:LIN:unknown] trying to load config file from '/home/user/.config/pipelight-silverlight5.1'.
[PIPELIGHT:LIN:unknown] trying to load config file from '/etc/pipelight-silverlight5.1'.
[PIPELIGHT:LIN:unknown] trying to load config file from '/usr/share/pipelight/configs/pipelight-silverlight5.1'.
[PIPELIGHT:LIN:unknown] sandbox not found or not installed!
[PIPELIGHT:LIN:silverlight5.1] using wine prefix directory /home/user/.wine-pipelight.
[PIPELIGHT:LIN:silverlight5.1] checking plugin installation - this might take some time.
[PIPELIGHT:LIN:silverlight5.1] -------------------------------------------------------
[PIPELIGHT:LIN:silverlight5.1] WARNING! YOU ARE RUNNING THIS PIPELIGHT PLUGIN AS ROOT!
[PIPELIGHT:LIN:silverlight5.1] THIS IS USUALLY NOT A GOOD IDEA! YOU HAVE BEEN WARNED!
[PIPELIGHT:LIN:silverlight5.1] -------------------------------------------------------
[install-dependency] wine-silverlight5.1-installer is already installed in '/home/user/.wine-pipelight'.
[install-dependency] wine-mpg2splt-installer is already installed in '/home/user/.wine-pipelight'.
[PIPELIGHT:LIN:silverlight5.1] -------------------------------------------------------
[PIPELIGHT:LIN:silverlight5.1] WARNING! YOU ARE RUNNING THIS PIPELIGHT PLUGIN AS ROOT!
[PIPELIGHT:LIN:silverlight5.1] THIS IS USUALLY NOT A GOOD IDEA! YOU HAVE BEEN WARNED!
[PIPELIGHT:LIN:silverlight5.1] -------------------------------------------------------
wine: /home/user/.wine-pipelight is not owned by you
[PIPELIGHT:LIN:silverlight5.1] common.c:168:receiveCommand(): unable to receive data.
[PIPELIGHT:LIN:silverlight5.1] basicplugin.c:128:attach(): error during the initialization of the wine process - aborting.
Auto-update plugins from /usr/lib/firefox/plugins
Looking for plugins in /usr/lib/firefox/plugins
Auto-update plugins from /root/.mozilla/plugins
Looking for plugins in /root/.mozilla/plugins
Setting up acroread (9.5.5-1precise1) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place

Question information

Language:
English Edit question
Status:
Solved
For:
Pipelight Edit question
Assignee:
No assignee Edit question
Solved by:
DiagonalArg
Solved:
2015-08-22
Last query:
2015-08-22
Last reply:
2015-08-21
Michael Müller (mqchael) said : #1

This means that adobe reader loads browser plugins during the installation. This is not a bug of Pipelight but a bad idea of their installer. See https://answers.launchpad.net/gui-ufw/+question/251397 for an explanation (this was about gufw - a firewall gui which uses an embedded browser). There is not much we can do about this since Pipelight is just a library which gets loaded by other programs and we don't have control over this.

DiagonalArg (diagonalarg) said : #2

Got it, thanks.

(& who wants Acrobat, really? It's just that there was a pdf that I couldn't fill out otherwise. Now that it's done - it's about to be gone.)